Bug 11485 - rpm 3.0.4 %define executed inside false %ifarch
rpm 3.0.4 %define executed inside false %ifarch
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-05-17 12:54 EDT by Stepan Kasal
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-17 12:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a fix (546 bytes, patch)
2000-05-17 12:55 EDT, Stepan Kasal
no flags Details | Diff

  None (edit)
Description Stepan Kasal 2000-05-17 12:54:50 EDT
In construct like

%ifarch someotherarch
%define foo bar

the %define is expanded (thus %foo defined) even though it shouldn't.

The fix is that if spec->readStack->reading is 0, we skip the definition.
This may be done on low level (in %define, %global, ... definitions) or
at higher level: we simply don't call expandMacros() in copyNextLine()
I like the latter more, see the attached patch.
Comment 1 Stepan Kasal 2000-05-17 12:55:59 EDT
Created attachment 248 [details]
a fix
Comment 2 Jeff Johnson 2000-06-21 19:34:05 EDT
Fixed in rpm-4.0-0.43 and rpm-3.0.5-0.4. Thanks for another critical fix.

Note You need to log in before you can comment on or make changes to this bug.